function init(hero) {
    hero.setName("Steel Serpent/Davos");
    hero.setTier(5);
    
    hero.setHelmet("Mask");
    hero.setChestplate("Chestpiece");
    hero.setLeggings("Pants");
    hero.setBoots("Boots");
    
    hero.addPowers("tgheroes:chi");
    hero.addAttribute("PUNCH_DAMAGE", 4.0, 0);
    hero.addAttribute("WEAPON_DAMAGE", 3.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 2.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 6.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.25, 1);
    
    hero.addKeyBind("BLADE", "Chi Charge", 1);
    hero.addKeyBind("GROUND_SMASH", "Ground Smash", 2);
    hero.addKeyBind("SHIELD", "Block", 3);

    hero.addAttributeProfile("BLADE", chiProfile);
    hero.setAttributeProfile(getProfile);
    hero.setDamageProfile(getProfile);
    hero.addDamageProfile("BLADE", {"types": {"BLUNT": 1.5}});	
    hero.setKeyBindEnabled(isKeyBindEnabled);
}

function chiProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("PUNCH_DAMAGE", 14, 0);
}

function getProfile(entity) {
    return entity.getData("fiskheroes:blade") ? "BLADE" : null;
}

function isKeyBindEnabled(entity, keyBind) {  
	switch (keyBind) {
	case "GROUND_SMASH":
        return entity.getData("fiskheroes:blade");
	case "SHIELD":
        return entity.getData("fiskheroes:blade");	
    default:
        return true;
    }
}